plugin.GetOptionsPanel = function(self)

	-- Create Options Panel --
	optionsPanel = Turbine.UI.Control();
	optionsPanel:SetSize(500, 370);


	-- Options title --
	optionsPanelTitle = Turbine.UI.Label();
	optionsPanelTitle:SetParent(optionsPanel);
	optionsPanelTitle:SetText("Settings");
	optionsPanelTitle:SetSize(400, 30);
	optionsPanelTitle:SetPosition(0, 25);
	optionsPanelTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	optionsPanelTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	optionsPanelTitle:SetForeColor(Turbine.UI.Color.Yellow);
	optionsPanelTitle:SetFontStyle(Turbine.UI.FontStyle.Outline);
	optionsPanelTitle:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
	optionsPanelTitle:SetBackground(Turbine.UI.Graphic("BrawlerMettleDisplay/Images/optionsTitleBackground.tga"));


	-- Allow movement--
	option_allowMovement_label = Turbine.UI.Label();
	option_allowMovement_label:SetParent(optionsPanel);
	option_allowMovement_label:SetSize(300, 30);
	option_allowMovement_label:SetPosition(110, 70);
	option_allowMovement_label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_allowMovement_label:SetText("Allow movement");
	option_allowMovement_label:SetForeColor(Turbine.UI.Color.White);
	option_allowMovement_checkbox = Turbine.UI.Lotro.CheckBox();
	option_allowMovement_checkbox:SetParent(optionsPanel);
	option_allowMovement_checkbox:SetSize(20, 20);
	option_allowMovement_checkbox:SetPosition(80, 69);
	option_allowMovement_checkbox:SetChecked(options["enableMovement"]);


	-- Display number --
	option_displayNumber_label = Turbine.UI.Label();
	option_displayNumber_label:SetParent(optionsPanel);
	option_displayNumber_label:SetSize(300, 30);
	option_displayNumber_label:SetPosition(110, 95);
	option_displayNumber_label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_displayNumber_label:SetText("DisplayNumber");
	option_displayNumber_label:SetForeColor(Turbine.UI.Color.White);
	option_displayNumber_checkbox = Turbine.UI.Lotro.CheckBox();
	option_displayNumber_checkbox:SetParent(optionsPanel);
	option_displayNumber_checkbox:SetSize(20, 20);
	option_displayNumber_checkbox:SetPosition(80, 94);
	option_displayNumber_checkbox:SetChecked(options["displayNumber"]);


	-- Hide out of combat --
	option_hideOutOfCombat_label = Turbine.UI.Label();
	option_hideOutOfCombat_label:SetParent(optionsPanel);
	option_hideOutOfCombat_label:SetSize(300, 30);
	option_hideOutOfCombat_label:SetPosition(110, 120);
	option_hideOutOfCombat_label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_hideOutOfCombat_label:SetText("Hide when out of combat");
	option_hideOutOfCombat_label:SetForeColor(Turbine.UI.Color.White);
	option_hideOutOfCombat_checkbox = Turbine.UI.Lotro.CheckBox();
	option_hideOutOfCombat_checkbox:SetParent(optionsPanel);
	option_hideOutOfCombat_checkbox:SetSize(20, 20);
	option_hideOutOfCombat_checkbox:SetPosition(80, 119);
	option_hideOutOfCombat_checkbox:SetChecked(options["hideOutOfCombat"]);


	-- MettleBarLenght --
	option_mettleBarLenght_label = Turbine.UI.Label();
	option_mettleBarLenght_label:SetParent(optionsPanel);
	option_mettleBarLenght_label:SetSize(300, 30);
	option_mettleBarLenght_label:SetPosition(80, 150);
	option_mettleBarLenght_label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_mettleBarLenght_label:SetText("Bar Lenght");
	option_mettleBarLenght_label:SetForeColor(Turbine.UI.Color.White);
	option_mettleBarLenght_textbox = Turbine.UI.Lotro.TextBox();
	option_mettleBarLenght_textbox:SetParent(optionsPanel);
	option_mettleBarLenght_textbox:SetMultiline(false);
	option_mettleBarLenght_textbox:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_mettleBarLenght_textbox:SetText(options["mettleBarLenght"]);
	option_mettleBarLenght_textbox:SetSize(100, 20);
	option_mettleBarLenght_textbox:SetPosition(80, 170);
	option_mettleBarLenght_textbox:SetZOrder(100);
	option_mettleBarLenght_textbox.TextChanged = function (sender, args)
		-- Only allow numbers in textbox --
		option_mettleBarLenght_textbox:SetText(option_mettleBarLenght_textbox:GetText():gsub("[^0123456789]", ""));
	end


	-- MettleBarHeight --
	option_mettleBarHeight_label = Turbine.UI.Label();
	option_mettleBarHeight_label:SetParent(optionsPanel);
	option_mettleBarHeight_label:SetSize(300, 30);
	option_mettleBarHeight_label:SetPosition(80, 200);
	option_mettleBarHeight_label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_mettleBarHeight_label:SetText("Bar Height");
	option_mettleBarHeight_label:SetForeColor(Turbine.UI.Color.White);
	option_mettleBarHeight_textbox = Turbine.UI.Lotro.TextBox();
	option_mettleBarHeight_textbox:SetParent(optionsPanel);
	option_mettleBarHeight_textbox:SetMultiline(false);
	option_mettleBarHeight_textbox:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_mettleBarHeight_textbox:SetText(options["mettleBarHeight"]);
	option_mettleBarHeight_textbox:SetSize(100, 20);
	option_mettleBarHeight_textbox:SetPosition(80, 220);
	option_mettleBarHeight_textbox:SetZOrder(100);
	option_mettleBarHeight_textbox.TextChanged = function (sender, args)
		-- Only allow numbers in textbox --
		option_mettleBarHeight_textbox:SetText(option_mettleBarHeight_textbox:GetText():gsub("[^0123456789]", ""));
	end


	-- MettleBarGap --
	option_mettleBarGap_label = Turbine.UI.Label();
	option_mettleBarGap_label:SetParent(optionsPanel);
	option_mettleBarGap_label:SetSize(300, 30);
	option_mettleBarGap_label:SetPosition(80, 250);
	option_mettleBarGap_label:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_mettleBarGap_label:SetText("Bar Gap");
	option_mettleBarGap_label:SetForeColor(Turbine.UI.Color.White);
	option_mettleBarGap_textbox = Turbine.UI.Lotro.TextBox();
	option_mettleBarGap_textbox:SetParent(optionsPanel);
	option_mettleBarGap_textbox:SetMultiline(false);
	option_mettleBarGap_textbox:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	option_mettleBarGap_textbox:SetText(options["mettleBarGap"]);
	option_mettleBarGap_textbox:SetSize(100, 20);
	option_mettleBarGap_textbox:SetPosition(80, 270);
	option_mettleBarGap_textbox:SetZOrder(100);
	option_mettleBarGap_textbox.TextChanged = function (sender, args)
		-- Only allow numbers in textbox --
		option_mettleBarGap_textbox:SetText(option_mettleBarGap_textbox:GetText():gsub("[^0123456789]", ""));
	end


	-- Apply options button --
	apllyButton = Turbine.UI.Lotro.Button();
	apllyButton:SetText("Apply");
	apllyButton:SetParent(optionsPanel);
	apllyButton:SetSize(150, 20);
	apllyButton:SetPosition(80, 330);
	apllyButton:SetZOrder(100);
	apllyButton.Click = function( sender, args)

		options["enableMovement"] = option_allowMovement_checkbox:IsChecked();
		MettleWindowClass.moveControl:SetMouseVisible(options["enableMovement"])

		options["hideOutOfCombat"] = option_hideOutOfCombat_checkbox:IsChecked();
		if (options["hideOutOfCombat"]) then
			MettleWindowClass.localPlayer.InCombatChanged();
		else
			MettleWindowClass:SetWantsUpdates(false)
			MettleWindowClass:SetOpacity(1)
		end

		options["displayNumber"] = option_displayNumber_checkbox:IsChecked();
		MettleWindowClass.Mettle_label:SetVisible(options["displayNumber"])

		if (option_mettleBarLenght_textbox:GetText() == "") then
			option_mettleBarLenght_textbox:SetText("0")
		end

		if (option_mettleBarHeight_textbox:GetText() == "") then
			option_mettleBarHeight_textbox:SetText("0")
		end

		if (option_mettleBarGap_textbox:GetText() == "") then
			option_mettleBarGap_textbox:SetText("0")
		end

		options["mettleBarLenght"] = option_mettleBarLenght_textbox:GetText();
		options["mettleBarHeight"] = option_mettleBarHeight_textbox:GetText();
		options["mettleBarGap"] = option_mettleBarGap_textbox:GetText();

		MettleWindowClass:UpdateElements();

		notification("Options have been applied.");
	end

	
	-- Return View --
	return optionsPanel;
end